# Uses of Interface
net.shibboleth.idp.saml.nameid.impl.TransientIdGenerationStrategy

Packages that use TransientIdGenerationStrategy
Package
Description
net.shibboleth.idp.saml.nameid.impl
Implementation of SAML `NameID` and `NameIdentifier` generation and consumption.

## Uses of TransientIdGenerationStrategy in net.shibboleth.idp.saml.nameid.impl

Classes in net.shibboleth.idp.saml.nameid.impl that implement TransientIdGenerationStrategy
Modifier and Type
Class
Description
`class`
`CryptoTransientIdGenerationStrategy`
Generates transients using a `DataSealer` to encrypt the result into a recoverable value, for use with stateless clustering.
`class`
`StoredTransientIdGenerationStrategy`
Generates transients using a `StorageService` to manage the reverse mappings.
Fields in net.shibboleth.idp.saml.nameid.impl declared as TransientIdGenerationStrategy
Modifier and Type
Field
Description
`private TransientIdGenerationStrategy`
TransientSAML1NameIdentifierGenerator.`transientIdGenerator`
Generator for transients.
`private TransientIdGenerationStrategy`
TransientSAML2NameIDGenerator.`transientIdGenerator`
Generator for transients.
Methods in net.shibboleth.idp.saml.nameid.impl with parameters of type TransientIdGenerationStrategy
Modifier and Type
Method
Description
`void`
TransientSAML1NameIdentifierGenerator.`setTransientIdGenerator(TransientIdGenerationStrategy generator)`
Set the generator of transient IDs.
`void`
TransientSAML2NameIDGenerator.`setTransientIdGenerator(TransientIdGenerationStrategy generator)`
Set the generator of transient IDs.